%define beta rc2
%if %beta
%define fname %name-%{version}%beta
%else
%define fname %name-%{version}
%endif
%define req_lib 0.1


Summary: Advanced Linux Sound Architecture (ALSA) utilities
Name:    alsa-utils
Version: 1.0.14
%if %beta
Release: %mkrel 1.%{beta}.1
%else
Release: %mkrel 2
%endif
Source:  ftp://ftp.alsa-project.org/pub/utils/%fname.tar.bz2
License: GPL
BuildRoot: %_tmppath/%name-buildroot
Group: Sound
Url:   http://www.alsa-project.org

BuildRequires: kernel-headers >= 2.4.0
BuildRequires: libalsa-devel >= %version-%req_lib
BuildRequires: ncurses-devel
Requires: alsa-lib >= 1:%version
# dependancies for alsaconf:
Requires: pciutils

%description
Advanced Linux Sound Architecture (ALSA) utilities. Modularized architecture
with support for a large range of ISA and PCI cards. Fully compatible with
OSS/Lite (kernel sound drivers), but contains many enhanced features.

This is the utilities package, which allows you to manipulate ALSA settings.

%package -n speaker-test
Summary: ALSA test tool
Group: Sound
Requires: alsa-utils
Conflicts: alsa-utils < 1.0.9-4mdk

%description -n speaker-test
speaker-test is a tool that enables one to test his head phones.

%package -n alsaconf
Summary: ALSA configuration tool
Group: Sound
Requires: alsa-utils newt cdialog
Conflicts: alsa-utils < 1.0.9-4mdk

%description -n alsaconf
Alsaconf is a tool that enables one to configure his sound card with ALSA.
It's often not not needed as mandriva linux will autoconfigure sound cards.

%prep
%setup -q -n %fname

%build
%configure2_5x
make all

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std mkdir_p="mkdir -p"
%find_lang alsaconf
%find_lang alsa-utils
cat alsa-utils.lang >> alsaconf.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc [A-Z][A-Z]*
%_bindir/[a-i]*
%_sbindir/alsactl
%_mandir/man1/[a-i]*
%_datadir/alsa/

%files -n speaker-test
%_bindir/speaker-test
%_mandir/man1/speaker-test.*
%_datadir/sounds/alsa/

%files -n alsaconf -f alsaconf.lang
%_sbindir/alsaconf
%_mandir/man8/alsaconf.*
%lang(fr) %_mandir/fr/man8/alsaconf.*


%changelog
* Tue Jan 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.14-1.rc2.1mdv2007.0
+ Revision: 112294
- new release

* Fri Dec 08 2006 Anssi Hannula <anssi@mandriva.org> 1.0.13-2mdv2007.1
+ Revision: 93650
- rebuild for ncurses

* Mon Oct 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.13-1mdv2007.0
+ Revision: 71807
- Import alsa-utils



* Mon Oct 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.13-1mdv2007.1
- new release

* Tue Sep 26 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-3mdv2007.0
- rebuild for new ncurses

* Thu Aug 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-2mdv2007.0
- new release

* Fri Aug 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-1.rc2.1mdv2007.0
- new release

* Mon Jul 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-1.rc1.1mdv2007.0
- new release

* Wed May 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-3mdk
- drop requires on kernel

* Thu May 11 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-2mdk
- do not generate /etc/asound.names in %%post since it can fail at install time

* Wed May 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-1mdk
- new release

* Sat Jan 07 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.10-2mdk
- Rebuild

* Wed Nov 16 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-1mdk
- new release

* Fri Nov 04 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-0.rc3.1mdk
- new release
- kill patch 0 (merged upstream)

* Thu Oct 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.9-5mdk
- tag translated man pages (#17431)

* Wed Aug 24 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.9-4mdk
- split alsaconf and speaker-test in its own subpackage (smaller minimal install)

* Wed Jul 20 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-3mdk
- patch 0: backport fixes from 1.0.9a

* Tue Jun 21 2005 Laurent MONTEL <lmontel@mandriva.com> 1.0.9-2mdk
- Fix install on x86_64

* Fri May 27 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-1mdk
- new release

* Wed May 25 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc4a.2mdk
- new release
- kill source 1 (merged upstream)

* Mon May 23 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc4.1mdk
- new release
- kill patch 0 (merged upstream)
- source 1: add missing (not packaged) header file
- fix post-script

* Sat May 21 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.9-0.rc3.3mdk
- fix automake usage and build deps

* Wed May 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc3.2mdk
- patch 0: add support for the new naming API
- generate the name DB if needed on post-install

* Mon May 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc3.1mdk
- new release

* Fri Apr 15 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc2.1mdk
- new release
- kill patch 0 (merged upstream)

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-1mdk
- new release

* Wed Jan 05 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-0.rc2.1mdk
- new release
- workaround buggy build system

* Wed Dec 22 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-0.rc1.1mdk
- new release

* Fri Nov 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.7-1mdk
- new release

* Fri Sep 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-2mdk
- patch 0: propagate errors in alsactl when not using -F

* Mon Aug 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-1mdk
- new release

* Wed Aug 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-0.rc1.1mdk
- new release

* Fri May 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.5-1mdk
- new release

* Mon Apr 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-1mdk
- new release

* Thu Apr 01 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-0.rc1_1mdk
- new release

* Fri Mar 12 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-2mdk
- requires cdialog too (#8764) which looks nice than newt interface and
  remove one error message that may confuse the user

* Mon Jan 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-1mdk
- new release

* Thu Jan 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-1mdk
- new release

* Mon Dec 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-0.2rc2mdk
- new release

* Mon Dec 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-0.1rc1mdk
- new release (alsaconf got merged in alsa-utils)

* Mon Dec 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.8-3mdk
- source 1: update alsaconf

* Tue Nov 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.8-2mdk
- update alsaconf from cvs

* Thu Nov 06 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.8-1mdk
- new release

* Wed Oct 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.6-4mdk
- requires newt for alsaconf (#6039)

* Thu Sep 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.6-3mdk
- require lspci for alsaconf (#5686)
- fix deps for 64bits ports (Gwenole)

* Mon Sep 08 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.6-2mdk
- add alsaconf

* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.5-1mdk
- new release

* Tue Apr 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.2-1mdk
- new release

* Thu Feb 13 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.8rc7mdk
- rc7

* Mon Dec 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.7rc2mdk
- remove deprecated changelog

* Thu Jul 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.6rc2mdk
- ALSA 0.9.0 RC 2

* Tue Jul 16 2002 Stefan van der Eijk <stefan@eijk.nu> 0.9.0-0.5rc1mdk
- BuildRequires

* Fri Apr 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.4rc1mdk
- remove useless mkdir
- sound group

* Wed Apr 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.3rc1mdk
- release candidate 1

* Fri Apr 19 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.2beta12mdk
- add alsactl (%%sbindir/*)

* Thu Apr 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.1beta12mdk
- initial release
